org.keycloak.broker.saml

## Class SAMLEndpoint.Binding

- java.lang.Object
- - org.keycloak.broker.saml.SAMLEndpoint.Binding

- Direct Known Subclasses:
    SAMLEndpoint.PostBinding, SAMLEndpoint.RedirectBinding
  Enclosing class:
    SAMLEndpoint

      protected abstract class SAMLEndpoint.Binding
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Binding()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `basicChecks(String samlRequest, String samlResponse)`
    `protected abstract boolean` | `containsUnencryptedSignature(SAMLDocumentHolder documentHolder)`
    `javax.ws.rs.core.Response` | `execute(String samlRequest, String samlResponse, String relayState, String clientId)`
    `protected abstract SAMLDocumentHolder` | `extractRequestDocument(String samlRequest)`
    `protected abstract SAMLDocumentHolder` | `extractResponseDocument(String response)`
    `protected abstract String` | `getBindingType()`
    `protected KeyLocator` | `getIDPKeyLocator()`
    `protected javax.ws.rs.core.Response` | `handleLoginResponse(String samlResponse, SAMLDocumentHolder holder, ResponseType responseType, String relayState, String clientId)`
    `protected javax.ws.rs.core.Response` | `handleLogoutResponse(SAMLDocumentHolder holder, StatusResponseType responseType, String relayState)`
    `protected javax.ws.rs.core.Response` | `handleSamlRequest(String samlRequest, String relayState)`
    `javax.ws.rs.core.Response` | `handleSamlResponse(String samlResponse, String relayState, String clientId)`
    `protected boolean` | `isDestinationRequired()`
    `protected javax.ws.rs.core.Response` | `logoutRequest(LogoutRequestType request, String relayState)`
    `protected abstract void` | `verifySignature(String key, SAMLDocumentHolder documentHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Binding

          protected Binding()

  - ### Method Detail

    - #### basicChecks

          protected javax.ws.rs.core.Response basicChecks(String samlRequest,
                                                          String samlResponse)

    - #### getBindingType

          protected abstract String getBindingType()

    - #### containsUnencryptedSignature

          protected abstract boolean containsUnencryptedSignature(SAMLDocumentHolder documentHolder)

    - #### verifySignature

          protected abstract void verifySignature(String key,
                                                  SAMLDocumentHolder documentHolder)
                                           throws VerificationException

      Throws:
        `VerificationException`

    - #### extractRequestDocument

          protected abstract SAMLDocumentHolder extractRequestDocument(String samlRequest)

    - #### extractResponseDocument

          protected abstract SAMLDocumentHolder extractResponseDocument(String response)

    - #### isDestinationRequired

          protected boolean isDestinationRequired()

    - #### getIDPKeyLocator

          protected KeyLocator getIDPKeyLocator()

    - #### execute

          public javax.ws.rs.core.Response execute(String samlRequest,
                                                   String samlResponse,
                                                   String relayState,
                                                   String clientId)

    - #### handleSamlRequest

          protected javax.ws.rs.core.Response handleSamlRequest(String samlRequest,
                                                                String relayState)

    - #### logoutRequest

          protected javax.ws.rs.core.Response logoutRequest(LogoutRequestType request,
                                                            String relayState)

    - #### handleLoginResponse

          protected javax.ws.rs.core.Response handleLoginResponse(String samlResponse,
                                                                  SAMLDocumentHolder holder,
                                                                  ResponseType responseType,
                                                                  String relayState,
                                                                  String clientId)

    - #### handleSamlResponse

          public javax.ws.rs.core.Response handleSamlResponse(String samlResponse,
                                                              String relayState,
                                                              String clientId)

    - #### handleLogoutResponse

          protected javax.ws.rs.core.Response handleLogoutResponse(SAMLDocumentHolder holder,
                                                                   StatusResponseType responseType,
                                                                   String relayState)

Copyright © 2021 JBoss by Red Hat. All rights reserved.